ここから本文です

Android Ecliose3.7 作ればわかる! Androidプログラミング10の実...

mar********さん

2012/7/820:59:36

Android Ecliose3.7 作ればわかる! Androidプログラミング10の実践サンプルで学ぶAndroidアプリ開発入門 のなかで・・・

つい昨日android開発をしようと環境を整えたものですが Eclipseの「ファイル」→「新規」→「プロジェクト」→「Android」のなかの「androidアプリケーション」と呼ばれるものがなく、それっぽい「Android application project]で代用してしまったのですがク。ラスRのソースが増えていたりと本と変わっている部分があります。 これはバージョンUpととらえて無視してもよろしいでしょうか?

基礎中の基礎なので、心配なので質問しました。よろしくおねがいします。

補足もうひとつおねがいします。。。
Android SDK ,Java Development kit がどちらとも最新でもこちらの本はできるでしょうか?
初めのレイアウトのところをサンプルコードをいれたのにできません。

よろしくおねがいします

閲覧数:
416
回答数:
1
お礼:
100枚

違反報告

ベストアンサーに選ばれた回答

プロフィール画像

カテゴリマスター

rin********さん

2012/7/909:24:48

Android application projectで問題ないですよ。

Android SDKのバージョンは最新だと、本とは表現が違うことはあるかもしれませんが、もちろんできます。
クラス R.javaは、必要なクラスです。最新のSDKでなくとも、以前から必須です。
本では最初のほうには説明していないかもしれませんが、大切なものなので、本のどこかには書いてあるはずだと思います。

ただ、JDK(Java Development kit)のほうは、最新、というのはJDK7なのでしょうか?

必要な開発環境に、JDK6とありますので、JDK6の最新のほうがいいと思います。
http://developer.android.com/sdk/index.html

バージョンがあっていて、エラーが出るなら、他の原因ですから、エラーメッセージをよく読んで対処しましょう。

質問した人からのコメント

2012/7/9 18:59:15

感謝 ありがとうございました!
JDKを一回下げてみてやってみます。

みんなで作る知恵袋 悩みや疑問、なんでも気軽にきいちゃおう!

Q&Aをキーワードで検索:

Yahoo! JAPANは、回答に記載された内容の信ぴょう性、正確性を保証しておりません。
お客様自身の責任と判断で、ご利用ください。
本文はここまでです このページの先頭へ

「追加する」ボタンを押してください。

閉じる

※知恵コレクションに追加された質問は選択されたID/ニックネームのMy知恵袋で確認できます。

不適切な投稿でないことを報告しました。

閉じる